Show / Hide Table of Contents

# Struct ImFontGlyphRangesBuilderPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImFontGlyphRangesBuilderPtr

### Constructors

| Improve this Doc View Source

#### ImFontGlyphRangesBuilderPtr(ImFontGlyphRangesBuilder*)

##### Declaration

    public ImFontGlyphRangesBuilderPtr(ImFontGlyphRangesBuilder*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphRangesBuilder* | nativePtr |

| Improve this Doc View Source

#### ImFontGlyphRangesBuilderPtr(IntPtr)

##### Declaration

    public ImFontGlyphRangesBuilderPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImFontGlyphRangesBuilder*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImFontGlyphRangesBuilder* |

| Improve this Doc View Source

#### UsedChars

##### Declaration

    public ImVector<uint> UsedChars { get; }

##### Property Value

Type | Description
--- | ---
ImVector<System.UInt32> |

### Methods

| Improve this Doc View Source

#### AddChar(UInt16)

##### Declaration

    public void AddChar(ushort c)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | c |

| Improve this Doc View Source

#### AddRanges(IntPtr)

##### Declaration

    public void AddRanges(IntPtr ranges)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ranges |

| Improve this Doc View Source

#### AddText(String)

##### Declaration

    public void AddText(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |

| Improve this Doc View Source

#### BuildRanges(out ImVector)

##### Declaration

    public void BuildRanges(out ImVector out_ranges)

##### Parameters

Type | Name | Description
--- | --- | ---
ImVector | out_ranges |

| Improve this Doc View Source

#### Clear()

##### Declaration

    public void Clear()

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### GetBit(Int32)

##### Declaration

    public bool GetBit(int n)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | n |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SetBit(Int32)

##### Declaration

    public void SetBit(int n)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | n |

### Operators

| Improve this Doc View Source

#### Implicit(ImFontGlyphRangesBuilder* to ImFontGlyphRangesBuilderPtr)

##### Declaration

    public static implicit operator ImFontGlyphRangesBuilderPtr(ImFontGlyphRangesBuilder*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphRangesBuilder* | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontGlyphRangesBuilderPtr |

| Improve this Doc View Source

#### Implicit(ImFontGlyphRangesBuilderPtr to ImFontGlyphRangesBuilder*)

##### Declaration

    public static implicit operator ImFontGlyphRangesBuilder*(ImFontGlyphRangesBuilderPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontGlyphRangesBuilderPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImFontGlyphRangesBuilder* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImFontGlyphRangesBuilderPtr)

##### Declaration

    public static implicit operator ImFontGlyphRangesBuilderPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontGlyphRangesBuilderPtr |